function SceneAddContactPhoneNumber(options) {
	this.options = options;

	this.AddContactPhoneNumberView = null;
	this.AddContactPhoneNumberPopupView = null;
	this.AddContactPhoneNumberDim = null;

	this.TitleBar = null;
	this.MsgLabel = null;

	this.NameLabel = null;
	this.TextInputBox = null;

	this.PhoneNumberLabel = null;
	this.CountryCodeBtn = null;
	this.ArrowLabel = null;
	this.PhoneNumberInputBox = null;

	this.OkBtn = null;
	this.CancelBtn = null;

	this.flagPWD = false;
	this.initText = "";
	this.maxStringLenght = 50;
	this.callerObj = null;

	this.flagInit = false;
	this.CountryPrefix = "";
	this.CountryCode = "";

	this.flagResetData = true;

	this.ShownFlagList = false;

	this.DefaultHelpBar = null;
	this.InputHelpBar = null;
	this.NumberInputHelpBar = null;
	this.NumberInputDefaultHelpBar = null;

	this.isAddEnable = false;

	this.isCountryHelpBarInsertClickEvent = false;

	this.CountryListHelpBar = null;

	//2013 add by minseok
	this.NormalizedPhoneNumber = null;

}

SceneAddContactPhoneNumber.prototype.initialize = function() {
	alert("SceneAddContactPhoneNumber.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called

	this.create();
}

SceneAddContactPhoneNumber.prototype.handleShow = function() {
	alert("SceneAddContactPhoneNumber.handleShow()");
	// this function will be called when the scene manager show this scene
	this.AddContactPhoneNumberDim.show();

	if(this.flagResetData == true) {
		this.resetData();
	}

	var ThisScene = sf.scene.get("AddContactPhoneNumber");
	sf.scene.get("CountryFlagList").Init(FLAG_LIST_TYPE.LIST_MAIN_CALL, 'AddContactPhoneNumber', ThisScene.SetCountryFlag, ThisScene.HideCountryHelpbar);

  	var callbackFunction =  function(){
  		sf.scene.get('AddContactPhoneNumber').popupTimerCallback();
  	};
  	
	WndMgr.startPopupHideTimer(60000,callbackFunction);
	//this.OkBtn.SetFlagDim(true);
}

SceneAddContactPhoneNumber.prototype.handleHide = function() {
	alert("SceneAddContactPhoneNumber.handleHide()");
	// this function will be called when the scene manager hide this scene

	this.AddContactPhoneNumberDim.hide();

	WndMgr.stopPopupHideTimer();
	
	if(this.ShownFlagList == true) {

		// this.CountryListHelpBar.hiddenObj();
		sf.scene.hide('CountryFlagList');
	}
}

SceneAddContactPhoneNumber.prototype.handleFocus = function() {
	alert("SceneAddContactPhoneNumber.handleFocus()");
	// this function will be called when the scene manager focus this scene

	// WndMgr.restartPopupHideTimer();
	WndMgr.resetPopupHideTimer();

	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();
	
	if(currentHighlight == null) {
		this.highlight(this.TextInputBox);
	} else {
		this.highlight(currentHighlight);
	}

	this.ShownFlagList = false;
	
}

SceneAddContactPhoneNumber.prototype.handleBlur = function() {
	alert("SceneAddContactPhoneNumber.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene

	var obj = this.AddContactPhoneNumberView.getCurrentHighlight();
	if(obj != null) {
		obj.blur();
	}
}

SceneAddContactPhoneNumber.prototype.handleKeyDown = function(keyCode) {
	alert("SceneAddContactPhoneNumber.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	PluginAPIMgr.PlayAudio(keyCode);
	if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
	switch (keyCode) {
		case sf.key.LEFT:
			WndMgr.resetPopupHideTimer();
			// this.resetTimer();
			this.processLeftKey();
			break;
		case sf.key.RIGHT:
			WndMgr.resetPopupHideTimer();
			this.processRightKey();
			break;
		case sf.key.UP:
			WndMgr.resetPopupHideTimer();
			// this.resetTimer();
			this.processUpKey();
			break;
		case sf.key.DOWN:
			WndMgr.resetPopupHideTimer();
			this.processDownKey();
			break;

		case sf.key.ENTER:
			WndMgr.resetPopupHideTimer();
			this.processEnterKey();
			break;

		case sf.key.RETURN:
			this.processReturnKey();
			//2013 modify by minseok
			sf.key.preventDefault();
			break;

		case sf.key.EXIT:
			this.processExitKey();
			//2013 modify by minseok
			sf.key.preventDefault();
			break;

		case 147:
		//infolink
		case 261:
		//contents
		case 115:
			//wiselink
			ProcMgr.processInfolinkKey();
			break;
	}
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneAddContactPhoneNumber.prototype.create = function() {
	alert("SceneAddContactPhoneNumber.create()");
	this.AddContactPhoneNumberView = new View("AddContactPhoneNumber");
	this.AddContactPhoneNumberPopupView = new View("AddContactPhoneNumberBG");
	this.AddContactPhoneNumberPopupView.CreatePopupBG(0, "AddContactPhoneNumber_popup_Bg");
	this.AddContactPhoneNumberPopupView.SetTitleTextofPopupBG(IDWS_MOIP_SKYPE_ADD_A_PHONE_NUMBER);

	this.AddContactPhoneNumberDim = new DimBg("AddContactPhoneNumberDim", "AddContactPhoneNumber");

	this.MsgLabel = new Label(null, "add_contact_phone_number_msg");
	this.MsgLabel.SetTextStyle("add_contact_phone_number_msg_style");
	this.MsgLabel.SetText(IDWS_MOIP_ENTER_ORDINARY_PHONE_NUMBER);

	this.NameLabel = new Label(null, "add_contact_phone_number_name_text");
	this.NameLabel.SetTextStyle("add_contact_phone_number_name_text_style");
	this.NameLabel.SetText(SID_NAME);

	var this_ = sf.scene.get("AddContactPhoneNumber");
	var clickCF = function(obj) {
		this_.processClickEvent(obj);
	};
	var overCF =  function(obj){this_.processMouseOverEvent(obj);};

	this.TextInputBox = new Button();
	this.TextInputBox.SetImageObjId("add_contact_phone_number_name_input_box", 30);
	this.TextInputBox.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_INPUT_BOX_NORMAL);
	this.TextInputBox.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_INPUT_BOX_NORMALFOCUS);
	this.TextInputBox.SetTextObjId("add_contact_phone_number_name_input_box_text");
	this.TextInputBox.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "add_contact_phone_number_btn_style");
	this.TextInputBox.SetMaxStringLength(50);
	this.TextInputBox.SetIsPlainText(true);
	//(100);

	this.OkBtn = new Button();
	this.OkBtn.SetImageObjId("add_contact_phone_number_add_btn", 20);
	this.OkBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMAL);
	this.OkBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
	this.OkBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_POPUP_BTN_DIM);
	this.OkBtn.SetTextObjId("add_contact_phone_number_add_btn_text");
	this.OkBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "cPopup_btn_text");
	this.OkBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE, "cPopup_btn_text_dim");
	this.OkBtn.SetText(SID_OK);
	this.OkBtn.SetOnClickCallbackFunc(clickCF);
	this.OkBtn.SetOnMouseOverCallbackFunc(overCF);

	this.CancelBtn = new Button();
	this.CancelBtn.SetImageObjId("add_contact_phone_number_cancel_btn", 20);
	this.CancelBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMAL);
	this.CancelBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
	this.CancelBtn.SetTextObjId("add_contact_phone_number_cancel_btn_text");
	this.CancelBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "cPopup_btn_text");
	this.CancelBtn.SetText(SID_CANCEL);
	this.CancelBtn.SetOnClickCallbackFunc(clickCF);
	this.CancelBtn.SetOnMouseOverCallbackFunc(overCF);

	var CurLangID = ResMgr.GetCurLanguage();
	/*if(CurLangID == ENUM_TV_LANGUAGE.HEB) {
		this.TextInputBox.SetHelpText(IDWS_MOIP_PRESS_ENTER, "add_contact_phone_number_btn_help_large_style");
	} else {
		this.TextInputBox.SetHelpText(IDWS_MOIP_PRESS_ENTER, "add_contact_phone_number_btn_help_style");
	}*/
	this.TextInputBox.SetTextEditorInfo(IDWS_MOIP_SKYPE_ADD_A_PHONE_NUMBER, ADD_CONTACT_KEYPAD_HELP_ENTER_NAME_TO_SAVE);
	this.TextInputBox.SetOnClickCallbackFunc(clickCF);
	this.TextInputBox.SetOnMouseOverCallbackFunc(overCF);

	this.PhoneNumberLabel = new Label(null, "add_contact_phone_number_text");
	this.PhoneNumberLabel.SetTextStyle("add_contact_phone_number_text_style");
	this.PhoneNumberLabel.SetText(IDWS_MOIP_PHONE_NUMBER);

	this.CountryCodeBtn = new Button();
	this.CountryCodeBtn.SetImageObjId("add_contact_phone_number_country_code_btn", 20);
	this.CountryCodeBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMAL);
	this.CountryCodeBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
	this.CountryCodeBtn.AppendFgImage("add_contact_phone_number_country_code_btn_icon", "13px", "13px", "42px", "26px");
	this.CountryCodeBtn.SetOnClickCallbackFunc(clickCF);
	this.CountryCodeBtn.SetOnMouseOverCallbackFunc(overCF);

	this.ArrowLabel = new Label("add_contact_phone_number_arrow_down", null);
	this.ArrowLabel.SetBgImage(g_Image.IMAGE_ADD_CONTACT_ARROW_ICON);

	var scene = sf.scene.get("AddContactPhoneNumber");
	this.PhoneNumberInputBox = new NumberInputBox();
	this.PhoneNumberInputBox.SetButtonObjId("add_contact_phone_number_input_box", 30);
	this.PhoneNumberInputBox.SetButtonTextObjId("add_contact_phone_number_input_text");
	this.PhoneNumberInputBox.SetInputBoxObjId("add_contact_phone_number_input_text_editor");
	this.PhoneNumberInputBox.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_INPUT_BOX_NORMAL);
	this.PhoneNumberInputBox.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_INPUT_BOX_NORMALFOCUS);
	this.PhoneNumberInputBox.setPrevEventOnLeftFunc(function() {
		scene.moveToCountryCodeBtn();
		WndMgr.resetPopupHideTimer();
	});
	this.PhoneNumberInputBox.setPrevEventOnRightFunc(function() {
		//scene.moveToCountryCodeBtn();
		WndMgr.resetPopupHideTimer();
	});
	this.PhoneNumberInputBox.setPrevEventOnDownFunc(function() {
		scene.moveToAddCancelBtn();
		WndMgr.resetPopupHideTimer();
	});
	this.PhoneNumberInputBox.setPrevEventOnUpFunc(function() {
		scene.moveToNameInputBox();
		WndMgr.resetPopupHideTimer();
	});
	this.PhoneNumberInputBox.setPrevEventOnReturnFunc(function() {
		scene.processReturnKey()
	});
	this.PhoneNumberInputBox.setPrevEventOnExitFunc(function() {
		scene.processExitKey()
	});
	this.PhoneNumberInputBox.setEnterFunc(function() {
		// scene.processEnterKey()
	});
	this.PhoneNumberInputBox.setAnyKeyFunc(function(keyCode) {
		scene.checkAddEnable();
		// scene.checkOkBtnEnable();
		WndMgr.resetPopupHideTimer();
	});
	this.PhoneNumberInputBox.SetHelpbarChangeEnable("AddContactPhoneNumber");
	this.PhoneNumberInputBox.SetOnClickCallbackFunc(clickCF);
	this.PhoneNumberInputBox.SetOnMouseOverCallbackFunc(overCF);
	this.PhoneNumberInputBox.SetReverseDisable(true);
}

SceneAddContactPhoneNumber.prototype.setResetFlag = function(reset_flag) {
	this.flagResetData = reset_flag;
}

SceneAddContactPhoneNumber.prototype.resetData = function() {
	this.highlight(null);

	this.CountryCode = PluginAPIMgr.GetMyCountryCode();
	this.CountryPrefix = PluginAPIMgr.GetISOCountryPrefix(this.CountryCode);
	this.CountryCodeBtn.SetFgImage(PluginAPIMgr.GetMyCountryFlag());
	/*************************for testing*********************************/
	// this.CountryCode = "+82";
	// this.CountryPrefix = "82";
	// var path = g_Image.base_flag_image_path + "kr.png";
	// this.CountryCodeBtn.SetFgImage(path);

	this.TextInputBox.SetText("");
	this.PhoneNumberInputBox.setInitString("");

	this.checkAddEnable();
	this.flagResetData = false;
}

SceneAddContactPhoneNumber.prototype.highlight = function(obj) {
	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();
	this.AddContactPhoneNumberView.setCurrenHighlight(obj);
	if(obj != this.PhoneNumberInputBox)
	 	this.ChangeHelpbar(0);
}

SceneAddContactPhoneNumber.prototype.startTextInput = function() {
	alert("SceneAddContactPhoneNumber.startTextInput() ");

	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.TextInputBox:

			WndMgr.stopPopupHideTimer();

			WndMgr.StartTextEditor(this.TextInputBox, "AddContactPhoneNumber", this.AddContactPhoneNumberDim);
			break;
	}
}

SceneAddContactPhoneNumber.prototype.processLeftKey = function() {
	alert("SceneAddContactPhoneNumber.processLeftKey() ");
	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();
	switch(currentHighlight) {
		case this.PhoneNumberInputBox:
			this.highlight(this.CountryCodeBtn);
			break;
		case this.CancelBtn:
			if(!this.OkBtn.GetFlagDim()) {
				this.highlight(this.OkBtn);
			}
			break;
	}
}
SceneAddContactPhoneNumber.prototype.processRightKey = function() {
	alert("SceneAddContactPhoneNumber.processRightKey() ");

	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.CountryCodeBtn:
			this.highlight(this.PhoneNumberInputBox);
			break;
		case this.OkBtn:
			this.highlight(this.CancelBtn);
			break;
	}
}

SceneAddContactPhoneNumber.prototype.processUpKey = function() {
	alert("SceneAddContactPhoneNumber.processUpKey() ");
	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();
	switch(currentHighlight) {
		case this.CountryCodeBtn:
			this.highlight(this.TextInputBox);
			break;
		case this.OkBtn:
		case this.CancelBtn:
			this.highlight(this.CountryCodeBtn);
			break;
	}
}
SceneAddContactPhoneNumber.prototype.processDownKey = function() {
	alert("SceneAddContactPhoneNumber.processDownKey() ");
	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.TextInputBox:
			this.highlight(this.CountryCodeBtn);
			break;

		case this.CountryCodeBtn:
			if(this.OkBtn.GetFlagDim()) {
				this.highlight(this.CancelBtn);
			} else {
				this.highlight(this.OkBtn);
			}
			break;
	}
}

SceneAddContactPhoneNumber.prototype.processEnterKey = function() {
	alert("SceneAddContactPhoneNumber.processEnterKey() ");
	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.TextInputBox:
			this.startTextInput();
			break;

		case this.CountryCodeBtn:
			this.showFlagList();
			break;

		case this.OkBtn:
			var input_phone_number = this.PhoneNumberInputBox.GetText();
			if(input_phone_number.length > 0) {
				var add_prefix_phone_number = this.addCountryPrefix(input_phone_number);
				alert("add_prefix_phone_number : " + add_prefix_phone_number);
				var normalized_phone_number = PluginAPIMgr.NormalizeIdentity(add_prefix_phone_number);

				// this.highlight(null);
				//$.sf.returnFocus();

				if(normalized_phone_number.length > 0) {
					var is_emergency_call = PluginAPIMgr.IsEmergencyCall(normalized_phone_number);
					if(is_emergency_call == 1) {
						ProcMgr.AddSkypeOutContact("", this.TextInputBox.GetText());
					} else {
						ProcMgr.AddSkypeOutContact(normalized_phone_number, this.TextInputBox.GetText());
					}
				} else {
					ProcMgr.AddSkypeOutContact(normalized_phone_number, this.TextInputBox.GetText());
				}
			}
			
			//added 10.5
			var scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
				scene.Activation();
			break;
			
		case this.CancelBtn:
			this.processReturnKey();
			break;
	}
}

SceneAddContactPhoneNumber.prototype.addCountryPrefix = function(input_phone_number) {
	alert("SceneAddContactPhoneNumber.addCountryPrefix() --> this.CountryPrefix : " + this.CountryPrefix);

	if(input_phone_number.indexOf("+") == 0) {
		return input_phone_number;
	} else if(input_phone_number.indexOf("00") == 0) {
		return input_phone_number;
	} else if(input_phone_number.indexOf("011") == 0) {
		return input_phone_number;
	} else {
		if(this.CountryPrefix != "0") {
			return "+" + this.CountryPrefix + input_phone_number;
		} else {
			return input_phone_number;
		}
	}
}

SceneAddContactPhoneNumber.prototype.checkAddEnable = function() {
	var input_text = this.PhoneNumberInputBox.GetText();

	if(input_text.length == 0) {
		this.isAddEnable = false;
	} else {
		this.isAddEnable = true;
	}

	if(this.isAddEnable == true) {
		this.OkBtn.SetFlagDim(false);
	} else {
		this.OkBtn.SetFlagDim(true);
	}

	alert("SceneAddContactPhoneNumber.checkAddEnable()  :  " + this.isAddEnable);
}

SceneAddContactPhoneNumber.prototype.processReturnKey = function() {
	alert("SceneAddContactPhoneNumber.processReturnKey() ");
	this.highlight(null);
	WndMgr.BackStepAddContact();
	// //2013 modify by minseok
	sf.key.preventDefault();
}

SceneAddContactPhoneNumber.prototype.processExitKey = function() {
	alert("SceneAddContactPhoneNumber.processExitKey() ");
	this.highlight(null);
	StateMgr.Stop_Add_Contact_State(true);
	// //2013 modify by minseok
	sf.key.preventDefault();
}

SceneAddContactPhoneNumber.prototype.moveToCountryCodeBtn = function() {
	alert("SceneAddContactPhoneNumber.moveToCountryCodeBtn() ");

	this.highlight(this.CountryCodeBtn);
	//sf.scene.focus('AddContactPhoneNumber');
	//$.sf.returnFocus();
}

SceneAddContactPhoneNumber.prototype.moveToNameInputBox = function() {
	alert("SceneAddContactPhoneNumber.moveToNameInputBox() ");

	this.highlight(this.TextInputBox);
}
SceneAddContactPhoneNumber.prototype.moveToAddCancelBtn = function() {
	alert("SceneAddContactPhoneNumber.moveToAddCancelBtn() ");
	if(this.OkBtn.GetFlagDim()) {
		this.highlight(this.CancelBtn);
	} else {
		this.highlight(this.OkBtn);
	}
}
SceneAddContactPhoneNumber.prototype.showFlagList = function() {
	alert("SceneAddContactPhoneNumber.showFlagList() ");

	var ThisScene = sf.scene.get("AddContactPhoneNumber");
	var Index = g_Data.GetCountryIndexWithCode(ThisScene.CountryCode);

	sf.scene.get("CountryFlagList").SetCurIndex(Index);
	sf.scene.show('CountryFlagList');
	sf.scene.focus('CountryFlagList');

	ThisScene.ShownFlagList = true;

}

SceneAddContactPhoneNumber.prototype.SetCountryFlag = function() {
	alert("SceneAddContactPhoneNumber.SetCountryFlag() ");

	var Scene = sf.scene.get("CountryFlagList");
	var FlagImage = Scene.GetCountryFlag();

	var This_ = sf.scene.get("AddContactPhoneNumber");
	This_.CountryCodeBtn.SetFgImage(FlagImage);
	This_.CountryPrefix = Scene.GetPrefix();
	This_.CountryCode = Scene.GetCountryCode();

	// This_.CountryListHelpBar.hiddenObj();

}

SceneAddContactPhoneNumber.prototype.HideCountryHelpbar = function() {
	alert("SceneAddContactPhoneNumber.HideCountryHelpbar() ");
	This_ = sf.scene.get("AddContactPhoneNumber");
	// This_.CountryListHelpBar.hiddenObj();
}

SceneAddContactPhoneNumber.prototype.popupTimerCallback = function() {
	alert("SceneAddContactPhoneNumber.popupTimerCallback() ");

	//modify by minseok - don't work event.stopPropagation() T.T
	this.processReturnKey();
	
}

SceneAddContactPhoneNumber.prototype.processClickEvent = function(obj) {
	alert("SceneAddContactPhoneNumber.processClickEvent() ");

	// this.resetTimer();


	if(obj == this.PhoneNumberInputBox) {
		return;
	}

	this.processEnterKey();
}
SceneAddContactPhoneNumber.prototype.processMouseOverEvent = function(obj) {
	alert("SceneAddContactPhoneNumber.processMouseOverEvent() ");

	// this.resetTimer();

	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();
	//add : smartcontrol highlight issue(130926)
	if(PluginAPIMgr.FlagSmartControlNumber()==1){
		return;
	}
	
	if(currentHighlight != obj) {
		this.highlight(obj);
	}

}

SceneAddContactPhoneNumber.prototype.startKeypad = function() {
	alert("SceneAddContactPhoneNumber.startKeypad() ");

	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.PhoneNumberInputBox:

			WndMgr.stopPopupHideTimer();

			var stopCF = function() {
				WndMgr.resetPopupHideTimer();
			};

			WndMgr.StartKeypad(currentHighlight, "AddContactPhoneNumber", stopCF);
			break;
	}
}

SceneAddContactPhoneNumber.prototype.inputDelete = function() {
	alert("SceneAddContactPhoneNumber.inputDelete() ");

	var currentHighlight = this.AddContactPhoneNumberView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.PhoneNumberInputBox:

			WndMgr.resetPopupHideTimer();

			currentHighlight.processPreChKey();
			break;
	}
}

SceneAddContactPhoneNumber.prototype.closeCountryList = function() {
	// this.CountryListHelpBar.hiddenObj();

	sf.scene.focus('AddContactPhoneNumber');
	sf.scene.hide('CountryFlagList');

}

SceneAddContactPhoneNumber.prototype.checkOkBtnEnable = function() {
	alert("SceneAddContactPhoneNumber.checkOkBtnEnable() ");
	var input_phone_number = this.PhoneNumberInputBox.GetText();
	if(input_phone_number.length > 0) {
		var add_prefix_phone_number = this.addCountryPrefix(input_phone_number);
		alert("add_prefix_phone_number : " + add_prefix_phone_number);
		this.NormalizedPhoneNumber = PluginAPIMgr.NormalizeIdentity(add_prefix_phone_number);
		// this.highlight(null);
		//$.sf.returnFocus();
		if(this.NormalizedPhoneNumber.length > 0) {
			var is_emergency_call = PluginAPIMgr.IsEmergencyCall(this.NormalizedPhoneNumber);
			if(is_emergency_call == 1) {
				//btn dim!!
				this.OkBtn.SetFlagDim(true);
			} else {
				//btn normal
				this.OkBtn.SetFlagDim(false);
			}
		} else {
			//btn dim!!
			this.OkBtn.SetFlagDim(true);
		}
	}
}

SceneAddContactPhoneNumber.prototype.ChangeHelpbar = function(type,str) {
	alert("SceneAddContactPhoneNumber.prototype.ChangeHelpbar");
	var dataInfo="";
	if(str){
		dataInfo = str;
	}else{
		switch(type){
			case 0:
				dataInfo = {
					'return' : SID_RETURN
				};
				break;
			case 1:
				dataInfo = {
			'ff' : SID_NUMBER,
			'play' : SID_DELETE,		//not support
			'return' : SID_RETURN
		};
				break;
			case 2:
				dataInfo = {
					'ff' : SID_NUMBER,
					'stop' : "+",
					'return' : SID_RETURN
				};
				break;
			case 3:
				dataInfo = {
					'ff' : SID_NUMBER,
			'return' : SID_RETURN
		};
				break;
		}
	}
	if(dataInfo.length!=0)
		this.AddContactPhoneNumberPopupView.SetHelpbarContentsOfPopupBG(dataInfo);
	}
